## helma.util
Class SystemMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              helma.util.SystemMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class SystemMap

extends java.util.HashMap

Map class used internally by Helma. We use this class to be able to wrap maps as native objects within a scripting engine rather than exposing them through Java reflection.

See Also:
  Serialized Form

Constructor Summary
`SystemMap()` Construct an empty SystemMap.
`SystemMap(int initialCapacity)` Construct an empty SystemMap with the given initial capacity.
`SystemMap(java.util.Map map)` Construct a SystemMap with the contents of Map map.

Method Summary
`protected void` `append(java.lang.StringBuffer buf, java.lang.Object obj)` Display an object in a human friendly way, paying attention to avoid infinite recursion.
`java.lang.String` `toString()`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### SystemMap

    public SystemMap()

  Construct an empty SystemMap.

### SystemMap

    public SystemMap(int initialCapacity)

  Construct an empty SystemMap with the given initial capacity.

### SystemMap

    public SystemMap(java.util.Map map)

  Construct a SystemMap with the contents of Map map.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.AbstractMap`
  Returns:
    A String representation of this map. The returned string is similar to the one returned by java.util.HashMap.toString(), but additionally displays Object arrays in a human friendly way.

### append

    protected void append(java.lang.StringBuffer buf,
                          java.lang.Object obj)

  Display an object in a human friendly way, paying attention to avoid infinite recursion.

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.